library(stockassessment)
load("run/model.RData")
FC<-list()
Ry<-2011:2020
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), rec.years=Ry, label="SQ all years", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,.5,1,1), rec.years=Ry, label="SQ, then half", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,.75,1,1), rec.years=Ry, label="SQ, then 3/4", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,.9,1,1), rec.years=Ry, label="SQ, then scale .9", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1.1,1,1), rec.years=Ry, label="SQ, then scale 1.1", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.000001,0.000001, 0.000001), rec.years=Ry, label="SQ then zero", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.23,0.23, 0.23), rec.years=Ry, label="SQ then .23", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.18,0.18, 0.18), rec.years=Ry, label="SQ then .18", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.69,0.69, 0.69), rec.years=Ry, label="SQ then Fpa", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.90,0.90, 0.90), rec.years=Ry, label="SQ then Flim", addTSB=TRUE)

save(FC, file="run/forecast.RData")
